/*
	This generic script is a sister script to the
	master script with the same name.
	
	This script doesn't do very much itself. Instead, it
	triggers the master script to do something.
	
	It also starts the master if it isn't present.

	Dan Dulberger
	evenflcw@yahoo.com
*/
@version 2.2
@warnings
@script generic
@name "ef Last Command"
@define SERVERNAME "ef_MultiService"




generic {
    masterActive = false;

    scene = Scene();
    servers = scene.server("MasterHandler"); //(nil) or array with all master plugins

    if(servers) {    
        for( i=1; i<=servers.count(); i++) {
            if(servers[i] == SERVERNAME) {
                masterActive = true;
            }
        }
    }
	if(!masterActive) {
		ApplyServer("MasterHandler", SERVERNAME);
		error("Last command was not called. MultiService was not running. MultiService started!");
	}
}